package com.ruoyi.ibs.customerselect.mapper;

import com.ruoyi.ibs.customerselect.domain.vo.GridRelateVO;
import com.ruoyi.ibs.customerselect.domain.vo.GridSelectVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/5/8
 **/
public interface GridSelectMapper {

    List<GridSelectVO> getRegionGridList(@Param("deptId") Long deptId, @Param("userName") String userName, @Param("gridLevel") String gridLevel, @Param("opsDept") String opsDept);

    List<GridSelectVO> getVirtualGridList(@Param("deptId") Long deptId, @Param("userName") String userName, @Param("opsDept") String opsDept);

    List<GridSelectVO> getDrawGridList(@Param("deptId") Long deptId, @Param("userName") String userName, @Param("opsDept") String opsDept);

    List<GridRelateVO> getDrawGridRelate(@Param("custIds") List<String> custIds);

    List<GridRelateVO> getRegionGridRelate(@Param("custIds") List<String> custIds);

    List<GridRelateVO> getVirtualGridRelate(@Param("custIds") List<String> custIds, @Param("userName") String userName);


}
